Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416841 - el6: lnst-slave daemon crashes on start
Summary: el6: lnst-slave daemon crashes on start
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lnst
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Lichtner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 15:05 UTC by Jarod Wilson
Modified: 2020-11-30 15:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 15:05:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Jarod Wilson 2017-01-26 15:05:59 UTC
Description of problem:
Install lnst-slave on an el6 host, try to start it up, hit the following:

$ sudo service lnst-slave start
Starting lnst-slave: Loading config file '/etc/lnst-slave.conf'
2017-01-26 10:01:34       (localhost)        -    INFO: Started
2017-01-26 10:01:34       (localhost)        -    INFO: Using RPC port 9999.
Traceback (most recent call last):
  File "/usr/bin/lnst-slave", line 102, in <module>
    main()
  File "/usr/bin/lnst-slave", line 94, in main
    nettestslave = NetTestSlave(log_ctl)
  File "/usr/lib/python2.6/site-packages/lnst/Slave/NetTestSlave.py", line 1122, in __init__
    self._if_manager = InterfaceManager(self._server_handler)
  File "/usr/lib/python2.6/site-packages/lnst/Slave/InterfaceManager.py", line 56, in __init__
    self.rescan_devices()
  File "/usr/lib/python2.6/site-packages/lnst/Slave/InterfaceManager.py", line 100, in rescan_devices
    devs = scan_netdevs()
  File "/usr/lib/python2.6/site-packages/lnst/Common/NetUtils.py", line 43, in scan_netdevs
    addrs = ipr.get_addr(index=new_link["index"])
TypeError: get_addr() got an unexpected keyword argument 'index'
                                                           [FAILED]

Version-Release number of selected component (if applicable):
$ rpm -q lnst-slave
lnst-slave-12-1.el6.noarch

Comment 1 Ondrej Lichtner 2017-01-26 15:32:33 UTC
Hi,

what pyroute2 version do you have? This seems like a call to an incompatible version of the library.

Comment 2 Jarod Wilson 2017-01-26 16:52:40 UTC
I'll take a look at that later this afternoon. Not sure when the last time I updated userspace on this install. If that's all it is, I guess the lnst package will need a versioned Requires: for pyroute2.

Comment 3 Jarod Wilson 2017-01-26 20:11:30 UTC
$ rpm -q python-pyroute2
python-pyroute2-0.3.3-1.el6.noarch

$ sudo yum upgrade python-pyroute2
Loaded plugins: refresh-packagekit, security
Setting up Upgrade Process
No Packages marked for Update

I see python-pyroute2 v0.3.14 on my el7 boxes.

Comment 6 Ondrej Lichtner 2017-02-20 08:49:30 UTC
So I've talked to the pyroute2 developer and got him to update the packages. I've quickly tried it on a RHEL6.8 virt machine and it seems to work.

I agree that for a full resolution of the issue, the lnst package should have a versioned Requires for the pyroute2 package, but since it shouldn't be an urgent thing now that it works, I'll leave the fix for later when I get to releasing a new lnst version. I'll keep this bug open until then so I don't forget to do it...

Jarod: can you try it out and confirm that everything works now?

Comment 7 Ben Cotton 2020-11-05 16:52:13 UTC
This message is a reminder that EPEL 6 is nearing its end of life. Fedora will stop maintaining and issuing updates for EPEL 6 on 2020-11-30. It is our policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as EOL if it remains open with a 'version' of 'el6'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later EPEL version.

Thank you for reporting this issue and we are sorry that we were not able to fix it before EPEL 6 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora, you are encouraged  change the 'version' to a later Fedora version prior this bug is closed as described in the policy above.

Comment 8 Ben Cotton 2020-11-05 16:54:53 UTC
This message is a reminder that EPEL 6 is nearing its end of life. Fedora will stop maintaining and issuing updates for EPEL 6 on 2020-11-30. It is policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as EOL if it remains open with a 'version' of 'el6'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later EPEL version.

Thank you for reporting this issue and we are sorry that we were not able to fix it before EPEL 6 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version, you are encouraged to change the 'version' to a later version prior this bug is closed as described in the policy above.

Comment 9 Ben Cotton 2020-11-30 15:05:16 UTC
EPEL el6 changed to end-of-life (EOL) status on 2020-11-30. EPEL el6 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
EPEL please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.